package speiger.src.coreengine.rendering.utils.values;

import org.lwjgl.opengl.GL11;

public enum GLPoligonMode implements IGLValue {
	POINT(GL11.GL_POINT),
	LINE(GL11.GL_LINE),
	FILL(GL11.GL_FILL);
	
	int glValue;
	
	private GLPoligonMode(int glValue) {
		this.glValue = glValue;
	}
	
	@Override
	public int glValue() {
		return glValue;
	}
}
